QGIS Application - Bug report #7856

after creating a wms/wcs/wfs/spatialite connection from toolbar, then QGIS browser does not do the

refresh
2013-05-18 02:57 AM - Giovanni Manghi

Status: Closed
Priority: Normal
Assignee: Hugo Mercier
Category: Browser

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 16734

Description

... and the only way is closing and reopening QGIS.

This is a regression because for WMS/WFS/SL it used to work ok in QGIS 1.8.

It works for PostGIS connections also for master.

EDIT:

this happens only when there are no previous connections created, so | guess this is not really a blocker even if it is a (small) regression

since 1.8

Associated revisions

Revision 71c9c¢36a - 2013-07-15 04:37 PM - Hugo Mercier

Refs #7856. Fix model reference

Revision c77a48af - 2013-07-15 05:28 PM - Juirgen Fischer

Merge pull request #737 from Oslandia/issue7856

Refs #7856. Fix model reference

History

#1 - 2013-06-30 02:54 PM - Salvatore Larosa

it seems to work fine at the moment with the latest master.

(or at the least | am seeing the same behavior of 1.8)

Can you confirm it ?

#2 - 2013-07-01 05:06 AM - Giovanni Manghi
- Priority changed from Severe/Regression to Normal

- Subject changed from after creating/deleting a wms/wcs/wfs/spatialite conection from toolbar, then QGIS browser does not do the refresh to after

creating a wms/wcs/wfs/spatialite connection from toolbar, then QGIS browser does not do the refresh
Salvatore Larosa wrote:

it seems to work fine at the moment with the latest master.
(or at the least | am seeing the same behavior of 1.8)

Can you confirm it ?

just updated to the latest master, removed all the wms/wfs/wcs/sl connections, restarted QGIS, and this is what | see:

- WMS:

- | created a WMS connection, the browser (WMS/OWS) is not refreshed

- Closing and reopening QGIS and the browser is refreshed, creating new WMS connections and the browser (WMS/OWS) refresh as expected

- Deleting WMS connections and the browser refresh as expected

Result: the issue is only where there are NO other connections defined

- WFS

- if there are no other wfs connections available then the browser (WFS) is not refreshed, but if there are previous ows connections (from wms or wcs)
then the OWS is refreshed

- Closing and reopening QGIS and the browser is refreshed, creating new WFS connections and the browser (WFS/OWS) refresh as expected

- Deleting WFS connections and the browser refresh as expected

Result: the issue is only where there are NO other connections defined

- WCS

Same as above

- SL

Same as above

#3 - 2013-07-15 01:52 AM - Hugo Mercier
- Assignee set to Hugo Mercier

Reproduced. Working on it.

#4 - 2013-07-15 08:19 AM - Hugo Mercier
- Status changed from Open to Resolved
- Resolution set to fixed

Fixed. https://github.com/qgis/Quantum-GIS/pull/737
https://github.com/qgis/Quantum-GIS/pull/737

#5 - 2013-07-16 04:08 PM - Daniel Vaz
- Status changed from Resolved to Closed

See thread above. https:/github.com/qgis/Quantum-GIS/pull/737
https://github.com/qgis/Quantum-GIS/pull/737

